Subject: Re: [Json] I-JSON Tpic #2: Top-Level

From: John Cowan <[email-masked]>
Date: Tue, 29 Apr 2014 13:13:15 -0400

> draft-i-json-01 says the top level is an object (but doesn’t say MUST,
> eek).  I have heard arguments for allowing arrays too​; anyone who thinks
> that is a good idea should speak up. (I won’t.)

As I understand it, the reason for this restriction was to support the
in-band I-JSON signature.  Since this is now dropped, there is no further
reason not to allow the sending of arbitrary JSON values.

-- 
John Cowan          http://www.ccil.org/~cowan        [email-masked]
"But I am the real Strider, fortunately," he said, looking down at them
with his face softened by a sudden smile.  "I am Aragorn son of Arathorn,
and if by life or death I can save you, I will."